## ros-noetic-hector-map-server 0.5.2

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(hector_map_server)

find_package(catkin REQUIRED COMPONENTS roscpp hector_map_tools hector_marker_drawing hector_nav_msgs nav_msgs tf)

catkin_package(
  CATKIN_DEPENDS roscpp hector_map_tools hector_marker_drawing hector_nav_msgs nav_msgs tf
)

###########
## Build ##
###########

include_directories(
  ${catkin_INCLUDE_DIRS}
)

add_executable(hector_map_server src/hector_map_server.cpp)
add_dependencies(hector_map_server ${catkin_EXPORTED_TARGETS})
target_link_libraries(hector_map_server
  ${catkin_LIBRARIES}
)

#############
## Install ##
#############

# all install targets should use catkin DESTINATION variables
# See http://ros.org/doc/api/catkin/html/adv_user_guide/variables.html

install(TARGETS hector_map_server
  ARCHIVE DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  LIBRARY DESTINATION ${CATKIN_PACKAGE_LIB_DESTINATION}
  RUNTIME DESTINATION ${CATKIN_PACKAGE_BIN_DESTINATION}
)

=== debian/changelog ===
ros-noetic-hector-map-server (0.5.2-4focal) focal; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 08 Apr 2021 00:00:00 -0000

ros-noetic-hector-map-server (0.5.1-4focal) focal; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 15 Jan 2021 00:00:00 -0000

ros-noetic-hector-map-server (0.5.0-4focal) focal; urgency=high

  * Moved hector_geotiff launch files to separate package to solve cyclic dependency.
    Clean up for noetic release.
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Marius Schnaubelt, Stefan Fabian

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 17 Dec 2020 00:00:00 -0000

ros-noetic-hector-map-server (0.4.1-4focal) focal; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 15 May 2020 00:00:00 -0000

ros-noetic-hector-map-server (0.3.6-4focal) focal; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 31 Oct 2019 00:00:00 -0000

ros-noetic-hector-map-server (0.3.5-4focal) focal; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Fri, 24 Jun 2016 00:00:00 -0000

ros-noetic-hector-map-server (0.3.4-4focal) focal; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sat, 07 Nov 2015 00:00:00 -0000

ros-noetic-hector-map-server (0.3.3-4focal) focal; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 15 Jun 2014 00:00:00 -0000

ros-noetic-hector-map-server (0.3.2-4focal) focal; urgency=high



 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Sun, 30 Mar 2014 00:00:00 -0000

ros-noetic-hector-map-server (0.3.1-4focal) focal; urgency=high

  * added changelogs
  * added cmake dependencies to catkin exported targets to force message targets to be built before any cpp target using them

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Wed, 09 Oct 2013 00:00:00 -0000

ros-noetic-hector-map-server (0.3.0-4focal) focal; urgency=high

  * catkinized hector_slam

 -- Johannes Meyer <meyer@fsr.tu-darmstadt.de>  Thu, 08 Aug 2013 00:00:00 -0000

=== debian/control ===
Source: ros-noetic-hector-map-server
Section: misc
Priority: optional
Maintainer: Johannes Meyer <meyer@fsr.tu-darmstadt.de>
Build-Depends: debhelper (>= 9.0.0), ros-noetic-catkin, ros-noetic-hector-map-tools, ros-noetic-hector-marker-drawing, ros-noetic-hector-nav-msgs, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-tf
Homepage: http://ros.org/wiki/hector_map_server
Standards-Version: 3.9.2

Package: ros-noetic-hector-map-server
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-noetic-hector-map-tools, ros-noetic-hector-marker-drawing, ros-noetic-hector-nav-msgs, ros-noetic-nav-msgs, ros-noetic-roscpp, ros-noetic-tf
Description: hector_map_server provides a service for retrieving the map, as well as for raycasting based obstacle queries (finds next obstacle in the map, given start and endpoint in any tf coordinate frame).

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/noetic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/noetic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/noetic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-noetic-hector-map-server//opt/ros/noetic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/noetic/setup.sh" ]; then . "/opt/ros/noetic/setup.sh"; fi && \
	dh_auto_install
